Hi there,

 

I am trying to understand the classloaders for database jdbc drivers in 1.1… Here’s the user scenario I have:  I had a server wide database connection plan for my oracle database that works with Geronimo 1.0.  If I ran the upgrader tool, I have the following in the plan:

 

        <dep:dependencies>

            <dep:dependency>

                <dep:groupId>oracle</dep:groupId>

                <dep:artifactId>classes12</dep:artifactId>

                <dep:version>10g</dep:version>

                <dep:type>jar</dep:type>

            </dep:dependency>

        </dep:dependencies>

 

Since I ran into classloader problems with derby when I had derby jar as the dependency (see my other post titled “unable to run a simple jsp application”), is this the right approach for Oracle?   If I have 2 applications that both datasources require oracle classes12-10.jar as the dependency would I run into similar classloader issue?  Or the datasource of the second application should depend on the moduleId of the first datasource?   This seems bad when I uninstall the first datasource.  

 

Please let me know what the best approach is.

 

TIA, Lin